Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.pm.util
Interface ObservableObjectClassIterator

All Superinterfaces:
  java.io.Serializable

public interface ObservableObjectClassIterator
extends java.io.Serializable

This interface manages retrieval of multiple observable object classes.

Because the query operation could potentially return large amounts of data, the iterator design pattern is used for returning the results. An iterator is an object that is created to contain the results of an operation. The client receives a reference to the iterator as part of the information returned by the query operation. The client then invokes operations on the iterator to receive batches of results in sizes determined by the client. The iterator keeps track of how far through the results the client has progressed.

The semantic of the iterator is that it is returning a snapshot of the data matching the query expression at the moment the query was performed. If the underlying data are modified while the iteration is in progress, it will not affect the behavior of the iterator or the data values of the iterator.

Version:
  0.9, 2001-10-25
Author:
  Stefan Aberg

Method Summary
`java.lang.String[]` | `getNext(int how_many)` Returns a list of observable object classes names.
`void` | `remove()` Remove the iterator.

Method Detail

### getNext

    public java.lang.String[] getNext(int how_many)

  Returns a list of observable object classes names.

  The function takes one argument that specifies the most number of items to return. The implementation can decide to return less or the requested number of items.

  If zero is specified and empty list is returned.

  If the iteration is empty or has reached then end, empty list is returned.

  If the argument is greater than the number of item in the iterator then all or implementation decided number of items are returned.

  If the agreement plus the cursor of the iterator is greater than the number of item in the iterator, all or implementation decided number of items from the cursor to the end is returned.

  Parameters:
    `how_many` - Maximum of items to return, the implementation can decide to return less.
  Returns:
    String[] List of observable object class names.

### remove

    public void remove()
                throws RemoveException

  Remove the iterator.

  When the client has finished iterating through the collection, he shall call this operation to allow resources to be freed.

  Throws:
    `RemoveException` - Is raised if the implementation is removal could not be done.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD